org.apache.solr.query

## Class FilterQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.solr.search.ExtendedQueryBase
    - - org.apache.solr.query.FilterQuery

- All Implemented Interfaces:
    ExtendedQuery

      public class FilterQuery
      extends ExtendedQueryBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Query` | `q`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterQuery(Query q)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Weight` | `createWeight(IndexSearcher searcher, boolean needScores)`
    `boolean` | `equals(Object obj)`
    `Query` | `getQuery()`
    `int` | `hashCode()`
    `Query` | `rewrite(IndexReader reader)`
    `String` | `toString(String field)`

    - ### Methods inherited from class org.apache.solr.search.ExtendedQueryBase

      `getCache, getCacheSep, getCost, getOptions, getOptionsString, setCache, setCacheSep, setCost`

    - ### Methods inherited from class org.apache.lucene.search.Query

      `classHash, sameClassAs, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### q

          protected final Query q

  - ### Constructor Detail

    - #### FilterQuery

          public FilterQuery(Query q)

  - ### Method Detail

    - #### getQuery

          public Query getQuery()

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `Query`

    - #### equals

          public boolean equals(Object obj)

      Specified by:
        `equals` in class `Query`

    - #### toString

          public String toString(String field)

      Overrides:
        `toString` in class `ExtendedQueryBase`

    - #### rewrite

          public Query rewrite(IndexReader reader)
                        throws IOException

      Overrides:
        `rewrite` in class `Query`
      Throws:
        `IOException`

    - #### createWeight

          public Weight createWeight(IndexSearcher searcher,
                                     boolean needScores)
                              throws IOException

      Overrides:
        `createWeight` in class `Query`
      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.